SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001766SiT!plugin hookspublic2012-01-25 12:262012-11-17 18:21
Reporternicdev 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.63 LTS 
Target VersionFixed in Version3.66 LTS 
Summary0001766: Add plugin_do() hook into "suggest_reassign_userid()" for alternative assignment plugin
DescriptionAs discussed before please can we add a plugin hook into the function suggest_reassign_userid() in incident.inc.php to enable us to create an alternative incident assignment plugin as discussed on IRC and in mantis.


I suggest to add it just before the return statement, but we have to keep in mind that the variable $userid is not a global in that function, and we may have to set it globally so that the plugin may access it.

I suggest 'incident_suggest_user_assign' as a context name

Thanks
TagsNo tags attached.
Attached Filespng file icon Image 106.png [^] (5,716 bytes) 2012-01-26 14:34

- Relationships
child of 0001212confirmed Configurable weights for auto-assign lottery 

-  Notes
User avatar (0004437)
nicdev (developer)
2012-01-26 14:37

After some consideration I decided to change the function as is shown in the screenshot.

The reason being that $userid is not a global (we are calling a plugin from within a function), thus we can't replace that variable with the plugin's result.

So I tried first to verify the result from the plugin, and if it exists, then we use it as a replacement.

What do you guys think?
User avatar (0004438)
paulh (administrator)
2012-01-27 08:44

I've added the context incident_created_suggest_user into the current SVN branch as part of my work on queues, does this do what your after?

As a note about the screenshot, it should be plugin_do and not $plugin_do as its a function not a variable
User avatar (0004589)
paulh (administrator)
2012-11-17 18:21

plugin hook was added in 3.66 so closing this one

- Issue History
Date Modified Username Field Change
2012-01-25 12:26 nicdev New Issue
2012-01-25 12:29 ivan Relationship added child of 0001212
2012-01-25 12:29 ivan Status new => confirmed
2012-01-26 14:34 nicdev File Added: Image 106.png
2012-01-26 14:37 nicdev Note Added: 0004437
2012-01-27 08:44 paulh Note Added: 0004438
2012-11-17 18:21 paulh Note Added: 0004589
2012-11-17 18:21 paulh Status confirmed => closed
2012-11-17 18:21 paulh Resolution open => fixed
2012-11-17 18:21 paulh Fixed in Version => 3.66 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker